Criar fluxo
Criar fluxo. Consulte abaixo parâmetros, corpo da requisição e respostas definidos no contrato OpenAPI.
POST
/FlowCriar fluxo. Consulte abaixo parâmetros, corpo da requisição e respostas definidos no contrato OpenAPI.
Autenticação
Autenticação obrigatória. Envie sua chave de API de usuário no header X-API-Key.
Parâmetros
Esta operação não possui parâmetros de rota, query ou header.
Corpo da requisição
Content type: application/json · Schema: FlowDto
| Propriedade | Tipo | Obrigatório | Descrição | Restrições |
|---|---|---|---|---|
id | integer · int32 | Não | — | — |
name | string | Não | — | aceita null |
description | string | Não | — | aceita null |
isActive | boolean | Não | — | — |
createdAt | string · date-time | Não | — | aceita null |
createdBy | integer · int32 | Não | — | — |
updatedAt | string · date-time | Não | — | aceita null |
updatedBy | integer · int32 | Não | — | — |
Exemplo de requisição
curl --request POST \
--url 'https://api.zild.ai/Flow' \
--header 'X-API-Key: YOUR_USER_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"id": 0,
"name": "string",
"description": "string",
"isActive": true,
"createdAt": "2026-09-22T18:00:00Z",
"createdBy": 0,
"updatedAt": "2026-09-22T18:00:00Z",
"updatedBy": 0
}'
Respostas
| Status | Descrição | Corpo da resposta |
|---|---|---|
200 | OK | Nenhum corpo de resposta está definido. |
Modelos de dados
FlowDto
| Propriedade | Tipo | Obrigatório | Descrição | Restrições |
|---|---|---|---|---|
id | integer · int32 | Não | — | — |
name | string | Não | — | aceita null |
description | string | Não | — | aceita null |
isActive | boolean | Não | — | — |
createdAt | string · date-time | Não | — | aceita null |
createdBy | integer · int32 | Não | — | — |
updatedAt | string · date-time | Não | — | aceita null |
updatedBy | integer · int32 | Não | — | — |